Hi everyone,


If you have installed curl service and experiencing errors (48) or (77) while using curl, most likely you did not install ca-certificates and ca-bundle packages. 


Simply issue following commands: opkg install ca-certificates

and opkg install ca-bundle


If it did not solve your problem, then you need to perform the next task. Find out which curl and libcurl versions you have installed. (issue curl -V). If curl and libcurl are different versions (e.g curl 7.54.1 and libcurl 7.52.1) then you need to update the libcurl version. Here is the command to do so: opkg install curl libcurl 


Now, your curl and libcurl are the same versions and you will not have any issues transferring data from or to the server.